Summary:	Advanced MATE menu
Summary(pl.UTF-8):	Zaawansowane menu dla MATE
Name:		mate-mintmenu
Version:	6.0.4
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://packages.linuxmint.com/pool/main/m/mintmenu/mintmenu_%{version}.tar.xz
# Source0-md5:	f20507ac043864b52562cdd1347b5843
Patch0:		%{name}-icon.patch
Patch1:		%{name}-disable-apt.patch
URL:		https://github.com/linuxmint/mintmenu
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26
Requires:	gtk+3
Requires:	gvfs
Requires:	mate-desktop-libs >= 1.18.0
Requires:	mate-menus-libs >= 1.22.0
Requires:	mate-panel >= 1.18.0
Requires:	python3-Xlib
Requires:	python3-configobj
Requires:	python3-modules
Requires:	python3-pygobject3
Requires:	python3-pyxdg
Requires:	python3-setproctitle
Requires:	python3-xapps-overrides
Requires:	xdg-utils
Suggests:	mozo
Suggests:	python3-pyinotify
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Advanced MATE menu.

%description -l pl.UTF-8
Zaawansowane menu dla MATE.

%prep
%setup -qc
%patch0 -p1
%patch1 -p1
# in case of patching fuzz
rm -f mintmenu/usr/share/glib-2.0/schemas/com.linuxmint.mintmenu.gschema.xml.orig

%{__mv} mintmenu/* .

%{__sed} -i 's,__DEB_VERSION__,%{version},' usr/lib/linuxmint/mintMenu/mintMenu.py
grep -rl 'usr/lib/linuxmint/mintMenu' usr | xargs %{__sed} -i 's,usr/lib/linuxmint/mintMenu,%{_datadir}/%{name},g'
grep -rl 'usr/share/linuxmint/mintmenu' usr | xargs %{__sed} -i 's,usr/share/linuxmint/mintmenu,%{_datadir}/%{name},g'
%{__sed} -i 's,^#!.*python.*,#!%{__python3},' usr/lib/linuxmint/mintMenu/{,plugins/}*.py

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}}
cp -pr usr/lib/linuxmint/mintMenu $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr usr/share/linuxmint/mintmenu/*.ui $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr usr/share/{dbus-1,glib-2.0,man,mate-panel,pixmaps} $RPM_BUILD_ROOT%{_datadir}
install -p usr/bin/mintmenu $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mintmenu
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/applications.list
%{_datadir}/%{name}/keybinding.py
%attr(755,root,root) %{_datadir}/%{name}/mintMenu.py
%attr(755,root,root) %{_datadir}/%{name}/preferences.py
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/*.py
%{_datadir}/%{name}/pointerMonitor.py
%{_datadir}/%{name}/popup.xml
%{_datadir}/%{name}/popup-without-edit.xml
%{_datadir}/%{name}/search_engines
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.svg
%{_datadir}/%{name}/*.ui
%{_datadir}/dbus-1/services/org.mate.panel.applet.MintMenuAppletFactory.service
%{_datadir}/glib-2.0/schemas/com.linuxmint.mintmenu.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.MintMenuApplet.mate-panel-applet
%{_mandir}/man1/mintmenu.1*
%{_pixmapsdir}/mintmenu.svg
%changelog
* Sun May 17 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-mintmenu.git;a=log;h=master

* Sun May 17 2020 Jan Rękorajski <baggins@pld-linux.org> d1a8084
- don't require onsoleted package (python3-xapps-overrides obsoletes python3-xapps)
- rel 2

* Fri Apr 03 2020 Jan Palus <atler@pld-linux.org> 3463e8e
- up to 6.0.4

* Tue Mar 31 2020 Jan Palus <atler@pld-linux.org> 007b37f
- up to 6.0.3.1

* Tue Dec 10 2019 Jan Palus <atler@pld-linux.org> 47ac8c0
- up to 6.0.3

* Sat Nov 30 2019 Jan Palus <atler@pld-linux.org> 4e02bc9
- up to 6.0.2

* Thu Nov 21 2019 Jan Palus <atler@pld-linux.org> 96d4430
- up to 6.0.1

* Wed Nov 13 2019 Jan Palus <atler@pld-linux.org> 2f5eeb9
- up to 6.0.0

* Fri Sep 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 600e600
- cleanup

* Thu Sep 26 2019 Jan Palus <atler@pld-linux.org> d0aa776
- up to 5.9.9

* Mon Jul 29 2019 Jan Palus <atler@pld-linux.org> 82e2b05
- up to 5.9.8

* Mon Jul 29 2019 Jan Palus <atler@pld-linux.org> f1b0fa9
- use consistent python interpreter

* Sat Jul 27 2019 Jan Palus <atler@pld-linux.org> 0265626
- up to 5.9.7

* Wed Mar 20 2019 Jan Palus <atler@pld-linux.org> 4771d01
- poor man's port to new mate-menus (1.22) api; rel 2

* Wed Jan 09 2019 Jan Palus <atler@pld-linux.org> 3e98ba5
- R: python-configobj

* Wed Jan 09 2019 Jan Palus <atler@pld-linux.org> ee92930
- disable "use-apt" by default

* Sat Dec 01 2018 Jan Palus <atler@pld-linux.org> ec56de9
- up to 5.9.1

* Mon Jul 09 2018 Jan Palus <atler@pld-linux.org> 72c5090
- up to 5.9.0

* Fri Jun 08 2018 Jan Palus <atler@pld-linux.org> f615155
- up to 5.8.9

* Thu May 31 2018 Jan Palus <atler@pld-linux.org> 0272358
- up to 5.8.8

* Wed May 16 2018 Jan Palus <atler@pld-linux.org> 868cd19
- up to 5.8.6

